#include "%{APPNAMELC}frame.h"
#include "%{APPNAMELC}panel.h"
#include "%{APPNAMELC}about.h"


BEGIN_EVENT_TABLE( %{APPNAME}Frame, MainFrame )
	EVT_MENU( ID_FILE_EXIT, %{APPNAME}Frame::OnExit )
	EVT_MENU( ID_HELP_ABOUT, %{APPNAME}Frame::OnAbout )
END_EVENT_TABLE()


%{APPNAME}Frame::%{APPNAME}Frame( wxWindow *parent, int id )
	: MainFrame( parent, id )
{
	wxBoxSizer* sizer = new wxBoxSizer( wxVERTICAL );
	wxPanel* panel = new %{APPNAME}Panel( this );
	sizer->Add( panel, 1, wxEXPAND );
	wxSize panelSize = panel->GetSize();
	this->SetSizerAndFit( sizer );
	this->SetClientSize( panelSize );	
}

void %{APPNAME}Frame::OnExit( wxCommandEvent& event )
{
	Close();
}

void %{APPNAME}Frame::OnAbout( wxCommandEvent& event )
{
	%{APPNAME}About* about = new %{APPNAME}About( this );
	about->Show();
}

%{APPNAME}Frame::~%{APPNAME}Frame()
{
}